# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-
### BEGIN LICENSE
# Copyright (C) 2012 Horia Filimonescu horia@filimonescu.de
# This program is free software: you can redistribute it and/or modify it 
# under the terms of the GNU General Public License version 3, as published 
# by the Free Software Foundation.
# 
# This program is distributed in the hope that it will be useful, but 
# WITHOUT ANY WARRANTY; without even the implied warranties of 
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR 
# PURPOSE.  See the GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License along 
# with this program.  If not, see <http://www.gnu.org/licenses/>.
### END LICENSE

##	Culori
codeCodes = {
	'black':	'0;30',		'bgray':	'0;37',
	'blue':		'0;34',		'white':	'1;37',
	'green':	'0;32',		'bblue':	'1;34',
	'cyan':		'0;36',		'bgreen':	'1;32',
	'red':		'0;31',		'bcyan':	'1;36',
	'purple':	'0;35',		'bred':		'1;31',
	'yellow':	'0;33',		'bpurple':	'1;35',
	'gray':		'1;30',		'byellow':	'1;33',
	'normal':	'0'
}

def pc(text, color):
	return("\33["+codeCodes[color]+"m"+text+"\33[0m")

def pm(sys=None, msg=None):
	print(sys+':'),
	print(' ' * (7 - len(sys) - 1)),
	print(msg)

def generate_name(fill, align, text, length):
    return('{:{fill}{align}{length}}'.format(text, fill=fill,
            align=align, length=length))

def fs(status=None, text=None):
    status=status+':'
    print(generate_name(fill='', align='<', text=status, length=8) + text)
